libglibmm-2.4-1v5_2.46.3-1_amd64.deb


Advertisement

Description

libglibmm-2.4-1v5 - C++ wrapper for the GLib toolkit (shared libraries)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libglibmm-2.4-1v5_2.46.3-1_amd64.deb
Package name libglibmm-2.4-1v5
Package version 2.46.3
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage http://www.gtkmm.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 448.93 KB
Installed size 2.36 MB
GLib is a low-level general-purpose library used mainly by GTK+/GNOME
applications, but is useful for other programs as well.
glibmm is the C++ wrapper for GLib.
This package contains shared libraries.

Alternatives

Package Version Architecture Repository
libglibmm-2.4-1v5_2.46.3-1_i386.deb 2.46.3 i386 Ubuntu Main
libglibmm-2.4-1v5 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libglib2.0-0 >= 2.46.0
libsigc++-2.0-0v5 >= 2.6.1
libstdc++6 >= 5.2

Conflicts

Name Value
libglibmm-2.4-1c2a -

Replaces

Name Value
libglibmm-2.4-1c2a -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libglibmm-2.4-1v5_2.46.3-1_amd64.deb
Source Package glibmm2.4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libglibmm-2.4-1v5 deb package:
    # sudo apt-get install libglibmm-2.4-1v5

Files

Path
/usr/lib/x86_64-linux-gnu/libgiomm-2.4.so.1
/usr/lib/x86_64-linux-gnu/libgiomm-2.4.so.1.3.0
/usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
/usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1.3.0
/usr/lib/x86_64-linux-gnu/libglibmm_generate_extra_defs-2.4.so.1
/usr/lib/x86_64-linux-gnu/libglibmm_generate_extra_defs-2.4.so.1.3.0
/usr/share/doc/libglibmm-2.4-1v5/AUTHORS
/usr/share/doc/libglibmm-2.4-1v5/NEWS.gz
/usr/share/doc/libglibmm-2.4-1v5/README
/usr/share/doc/libglibmm-2.4-1v5/changelog.Debian.gz
/usr/share/doc/libglibmm-2.4-1v5/copyright

Changelog

2015-12-15 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.46.3-1) unstable; urgency=medium
* New upstream release.
2015-11-20 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.46.2-1) unstable; urgency=medium
* New upstream release.
2015-09-27 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.46.1-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Update Build-Depends as per configure.ac:
- Bump libglib2.0-dev to (>= 2.46.0)
- Bump libsigc++-2.0-dev to (>= 2.5.4)
- Bump mm-common to (>= 0.9.8)
* Bump SHVER to 2.46.0.
2015-08-08 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.44.0-3) unstable; urgency=medium
* Upload to unstable.
2015-08-06 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.44.0-2) experimental; urgency=medium
[ Sebastien Bacher ]
* Rename libglibmm-2.4-1c2a to libglibmm-2.4-1v5 for GCC 5 abi change.
* Add Conflict/Replaces against the old library package.
* Bump Build-Depends on libsigc++-2.0-dev to ensure it was built with GCC 5.
2015-05-07 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.44.0-1) unstable; urgency=medium
* Use default compression for binary packages.
* New upstream release.
* Bump minimum glib version to 2.44.0 as per configure.ac.
* Bump Standards-Version to 3.9.6. No further changes.
* Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer, add
Deng Xiyue to Uploaders.
* Bump SHVER to 2.44.0.
2014-09-23 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.42.0-1) unstable; urgency=medium
* New upstream release.
* Bump minimum glib version to 2.42.0 according to configure.ac.
* Use canonical URLs for the Vcs-* fields.
* Bump SHVER to 2.42.0.
2014-04-14 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.40.0-1) unstable; urgency=medium
* New upstream release.
* Bump minimum glib version to 2.40.0 according to configure.ac.
* Bump debhelper compatibility level to 9.
* Bump Build-Depends on debhelper to (>= 9) to match debian/compat.
* Bump Standards-Version to 3.9.5.
* Bump SHVER to 2.40.0.
* debian/patches/01-disable-tls-test.patch: Don't run giomm_tls_client test
since it requires network access which is not guaranteed to be available
on buildds.
* Use dh-autoreconf to update the build system.
2013-05-25 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.36.2-1) unstable; urgency=low
* New upstream release.
* Drop DM-Upload-Allowed field, DM upload permissions are no longer handled
this way.
* Bump Standards-Version to 3.9.4. No further changes.
2012-09-29 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.32.1-1) unstable; urgency=low
* New upstream bugfix release.
* Don't compress doxygen tag files since doxygen can't handle those.
* Enable xz compression for binary packages.

See Also

Package Description
libglibmm-2.4-dev_2.46.3-1_amd64.deb C++ wrapper for the GLib toolkit (development files)
libglibmm-2.4-doc_2.46.3-1_all.deb C++ wrapper for the GLib toolkit (documentation)
libglm-dev_0.9.7.2-1_all.deb C++ library for OpenGL GLSL type-based mathematics
libglm-doc_0.9.7.2-1_all.deb documentation for the OpenGL Mathematics (GLM) library
libglu1-mesa-dev_9.0.0-2.1_amd64.deb Mesa OpenGL utility library -- development files
libglu1-mesa_9.0.0-2.1_amd64.deb Mesa OpenGL utility library (GLU)
libgmime-2.6-0_2.6.20-1_amd64.deb MIME message parser and creator library - runtime
libgmime-2.6-dev_2.6.20-1_amd64.deb MIME message parser and creator library - development files
libgmime-2.6-doc_2.6.20-1_all.deb MIME message parser and creator library - documentation
libgmime2.6-cil-dev_2.6.20-1_all.deb CLI binding for the GMime library
libgmime2.6-cil_2.6.20-1_all.deb CLI binding for the GMime library
libgmp-dev_6.1.0+dfsg-2_amd64.deb Multiprecision arithmetic library developers tools
libgmp10-doc_6.1.0+dfsg-2_all.deb Multiprecision arithmetic library example code
libgmp10_6.1.0+dfsg-2_amd64.deb Multiprecision arithmetic library
libgmp3-dev_6.1.0+dfsg-2_amd64.deb Multiprecision arithmetic library developers tools
Advertisement
Advertisement